Page MenuHomePhabricator

Notification emails should embed icons as data URIs
Closed, DeclinedPublic

Description

The 'talk' icon in Echo talk-page notification emails is loaded via HTTP:

<img src="http://bits.wikimedia.org/static-1.22wmf13/extensions/Echo/modules/icons/Talk.png" alt="" height="30" width="30"></td>

Because the image is loaded remotely, many mail readers (including Gmail) won't show it by default, and it'll trigger a prompt to display remote images which must be clicked on before you can see the icon.

I would recommend embedding the icons as data URIs if possible, so they don't have to be loaded remotely. (Hopefully this isn't a compat issue...)


Version: unspecified
Severity: normal

Details

Reference
bz53479
Related Gerrit Patches:
mediawiki/extensions/Echo : masterEmail: embed icons as data uri

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:58 AM
bzimport added a project: Notifications.
bzimport set Reference to bz53479.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Aug 28 2013, 2:45 PM

bsitu wrote:

Thanks Brion, that's a good idea, but it looks like Gmail and Hotmail do not support data uri, it shows the text 'inline image' instead of an image

brion added a comment.Sep 4 2013, 7:07 PM

Dangit!

Is there an alternate way to bundle images with the email, or shall I just close this out as WONTFIX?

bsitu wrote:

We could include the images as attachment, the drawback is that some clients list all of the attached files inside the email, this would give user a bad UI experience. I will see if there is any other alternatives.

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/238

Mattflaschen-WMF triaged this task as Low priority.Dec 14 2014, 7:24 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 7 2015, 9:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

GMail now does display our notification icons. We did have to use PNGs instead of SVGs to make that happen, but we did that a while ago.

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 28 2018, 1:07 PM
SBisson changed the subtype of this task from "Task" to "Feature Request".Oct 16 2018, 1:06 PM
SBisson changed the subtype of this task from "Feature Request" to "Task".Oct 16 2018, 6:41 PM
JTannerWMF moved this task from Q2 2019-20 to Upcoming Work on the Growth-Team board.

Change 501651 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Echo@master] Email: embed icons as data uri

https://gerrit.wikimedia.org/r/501651

Esanders updated the task description. (Show Details)Apr 9 2019, 12:13 PM

Change 501651 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Email: embed icons as data uri

https://gerrit.wikimedia.org/r/501651

SBisson closed this task as Declined.May 8 2019, 1:59 PM

We've tried embedding SVGs as data-uri, both in text and base64. The markup is sane and works in browsers but gmail doesn't render them.

We're tried including the actual SVG instead of <img src="..."> and again, the markup is correct but gmail doesn't render it.

I'm going to decline this task because of technical limitations with gmail, which is the most popular email client.

Please re-open if I'm missing something or another idea comes to mind.